Page MenuHomePhabricator

[In progress] Speed-up of marytts: New output_type with the information needed by wikispeech.js
Closed, DeclinedPublic1 Estimated Story Points

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 4 2016, 8:47 AM
HaraldBerthelsen set the point value for this task to 4.Jul 4 2016, 8:54 AM

Some output_types in marytts add information after synthesis. Ex REALISED_DURATIONS. Use this to extract timing information and name of audio file. Use to avoid running synthesis twice, first when getting timing info and then when playing audio.

Working on this. TODO:
finish the code itself.
test.
comment here what was done.

HaraldBerthelsen changed the point value for this task from 4 to 1.Jul 7 2016, 12:13 PM

Nearly there. There is now a marytts output_type WIKIPEDIA_JSON, that does the right thing.
Need to change the js to take
"tokens": [{"string":"XXX", "end":123}]
instead of
"tokens":[["XXX",123]]
New format is better!

Also there is a problem in marytts: With the tempfile written in HTSEngine output_type AUDIO no longer works. No message, everything looks right, but no audio is sent back to the browser.
Could have to do with things in Request. Hm. Fix this, at least with a workaround..

HannaLindgren triaged this task as Lowest priority.Dec 13 2017, 1:24 PM
HannaLindgren renamed this task from Speed-up of marytts: New output_type with the information needed by wikispeech.js to [in progress] Speed-up of marytts: New output_type with the information needed by wikispeech.js.Oct 23 2019, 9:05 AM
HannaLindgren raised the priority of this task from Lowest to Needs Triage.Oct 23 2019, 9:23 AM
HannaLindgren renamed this task from [in progress] Speed-up of marytts: New output_type with the information needed by wikispeech.js to [In progress] Speed-up of marytts: New output_type with the information needed by wikispeech.js.Oct 23 2019, 12:26 PM

No longer relevant. Close.
But if we're still using marytts we still need to consider the speed issue later.

Lokal_Profil closed this task as Declined.Nov 28 2019, 1:20 PM